What's New:

Do not use old version Afudos.exe to flash BIOS. Must use new Afudos(2.21) or later revision to flash BIOS.
Support new CPUs. Please refer to our website at: http://support.asus.com/cpusupport/cpusupport.aspx
Enhance compatibility with some USB Floopy and USB Flash